.rating {
	display: flex;
	width: 100%;
	justify-content: center;
	overflow: hidden;
	flex-direction: row-reverse;
	height: 150px;
	position: relative
}

.rating-0 {
	filter: grayscale(100%)
}

.rating>input {
	display: none
}

.rating>label {
	cursor: pointer;
	width: 40px;
	height: 40px;
	margin-top: auto;
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvgxmlns='http://www.w3.org/2000/svg'width='126.729'height='126.73'%3e%3cpathfill='%23e3e3e3'd='M121.21544.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.1010l-12.430.3c-.82.1-2.83.5-53.7l-34.93.3c-5.2.5-7.37-3.410.5l26.323.1c1.71.52.43.71.95.9l-7.932.399c-1.25.1014.39.38.96.601l29.1-17.101c1.9-1.14.2-1.16.10l29.10117.101c4.62.69910.1-1.48.899-6.601l-7.8-32.399c-.5-2.2.2-4.41.9-5.9l26.3-23.1c3.8-3.51.6-10-3.6-10.5z'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: center;
	background-size: 76%;
	transition: .3s
}

.rating>input:checked~label,
.rating>input:checked~label~label {
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvgxmlns='http://www.w3.org/2000/svg'width='126.729'height='126.73'%3e%3cpathfill='%23fcd93a'd='M121.21544.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.1010l-12.430.3c-.82.1-2.83.5-53.7l-34.93.3c-5.2.5-7.37-3.410.5l26.323.1c1.71.52.43.71.95.9l-7.932.399c-1.25.1014.39.38.96.601l29.1-17.101c1.9-1.14.2-1.16.10l29.10117.101c4.62.69910.1-1.48.899-6.601l-7.8-32.399c-.5-2.2.2-4.41.9-5.9l26.3-23.1c3.8-3.51.6-10-3.6-10.5z'/%3e%3c/svg%3e")
}

.rating>input:not(:checked)~label:hover,
.rating>input:not(:checked)~label:hover~label {
	background-image: url("data:image/svg+xml;charset=UTF-8,%3csvgxmlns='http://www.w3.org/2000/svg'width='126.729'height='126.73'%3e%3cpathfill='%23d8b11e'd='M121.21544.212l-34.899-3.3c-2.2-.2-4.101-1.6-5-3.7l-12.5-30.3c-2-5-9.101-5-11.1010l-12.430.3c-.82.1-2.83.5-53.7l-34.93.3c-5.2.5-7.37-3.410.5l26.323.1c1.71.52.43.71.95.9l-7.932.399c-1.25.1014.39.38.96.601l29.1-17.101c1.9-1.14.2-1.16.10l29.10117.101c4.62.69910.1-1.48.899-6.601l-7.8-32.399c-.5-2.2.2-4.41.9-5.9l26.3-23.1c3.8-3.51.6-10-3.6-10.5z'/%3e%3c/svg%3e")
}

.emoji-wrapper {
	width: 100%;
	text-align: center;
	height: 100px;
	overflow: hidden;
	position: absolute;
	top: 0;
	left: 0
}

.emoji-wrapper:before,
.emoji-wrapper:after {
	content: "";
	height: 15px;
	width: 100%;
	position: absolute;
	left: 0;
	z-index: 1
}

.emoji-wrapper:before {
	top: 0
}

.emoji-wrapper:after {
	bottom: 0
}

.emoji {
	display: flex;
	flex-direction: column;
	align-items: center;
	transition: .3s
}

.emoji>svg {
	margin: 15px 0;
	width: 70px;
	height: 70px;
	flex-shrink: 0
}

#rating-1:checked~.emoji-wrapper>.emoji {
	transform: translateY(-100px)
}

#rating-2:checked~.emoji-wrapper>.emoji {
	transform: translateY(-200px)
}

#rating-3:checked~.emoji-wrapper>.emoji {
	transform: translateY(-300px)
}

#rating-4:checked~.emoji-wrapper>.emoji {
	transform: translateY(-400px)
}

#rating-5:checked~.emoji-wrapper>.emoji {
	transform: translateY(-500px)
}

#rating2-1:checked~.emoji-wrapper>.emoji {
	transform: translateY(-100px)
}

#rating2-2:checked~.emoji-wrapper>.emoji {
	transform: translateY(-200px)
}

#rating2-3:checked~.emoji-wrapper>.emoji {
	transform: translateY(-300px)
}

#rating2-4:checked~.emoji-wrapper>.emoji {
	transform: translateY(-400px)
}

#rating2-5:checked~.emoji-wrapper>.emoji {
	transform: translateY(-500px)
}

#rating3-1:checked~.emoji-wrapper>.emoji {
	transform: translateY(-100px)
}

#rating3-2:checked~.emoji-wrapper>.emoji {
	transform: translateY(-200px)
}

#rating3-3:checked~.emoji-wrapper>.emoji {
	transform: translateY(-300px)
}

#rating3-4:checked~.emoji-wrapper>.emoji {
	transform: translateY(-400px)
}

#rating3-5:checked~.emoji-wrapper>.emoji {
	transform: translateY(-500px)
}

.feedback {
	max-width: 31.1%;
	background-color: transparent !important;
	width: 100%;
	padding: 30px;
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
	align-items: center;
	box-shadow: 0 4px 30px rgba(0, 0, 0, 0.05);
	border: 2px solid rgba(255, 255, 255, 0.1);
	padding: 15px !important;
	margin-bottom: 30px;
	float: left;
	padding: 30px 10px !important
}

@media only screen and (max-width:600px) {
	.feedback {
		max-width: 100%
	}
}